/* monreadraw.c $Id: f1a48183523d67f95c22fe22135e236f975d15c0 $ */

#include <unistd.h>

#include "pciaer.h"
#include "pciaerlib.h"

/******************************************************************************/

int PciaerMonReadRaw( int handle, int *pUserBuffer, unsigned int nWordsToRead, unsigned int *pnWordsRead )
{
  ssize_t read_return;
  read_return = read( handle, pUserBuffer, nWordsToRead*sizeof(int) );
  if ( read_return == -1 )
      {
	*pnWordsRead = 0;
	return errno;
      }

  *pnWordsRead = read_return / sizeof(unsigned int);
  return 0;
}

/******************************************************************************/

/* EOF */
