/* seqwriteraw.c $Id: 06e813305c7575d9ecfd203cd8d05f1a5ddeb22d $ */

#include <unistd.h>

#include "pciaer.h"
#include "pciaerlib.h"

/******************************************************************************/

int PciaerSeqWriteRaw(int handle, const unsigned int *p, unsigned int nToWrite, unsigned int *pnWritten)
{  
  ssize_t write_return;

  write_return = write( handle, p, nToWrite * sizeof(int) );
  if ( write_return == -1 )
      {
	  *pnWritten = 0;
	  return errno;
      }
  *pnWritten = write_return / sizeof(int);
  return 0;
}

/******************************************************************************/

/* EOF */
