/*
Code common to multiple test progs

common.h $Id: b4e23f3e483e8c6513382584d05360b8bdd1a333 $
*/

#ifdef __cplusplus
extern "C" {
#else
#include <stdbool.h>
#endif

void TestCounter( int handle );

void signal_handler( int signum );
bool is_signalled();

void print_version( int handle );

void test_lseek( int handle );

unsigned int test_fifo_depth( int handle );

#ifdef __cplusplus
}

class CCmdLine;

int GetNumOpt( const CCmdLine& cl, char opt, int default_result );
#endif

