// fifodepth.c $Id: ef4214466b3630e2240ecd541f553858537ffa35 $

#include <sys/stat.h>

#include "pciaer.h"
#include "pciaerlib.h"

/******************************************************************************/

int PciaerGetFifoDepth(int handle, int *pDepth)
{
    struct stat stat_buffer;

    if ( fstat( handle, &stat_buffer ) != 0 )
	return errno;

    *pDepth = (int)(stat_buffer.st_blksize / sizeof(unsigned int) * 2);

    return 0;
}
