// VpdClass.cc $Id: 9a332379abb3e22b97a4dfe1258966d5a7aa3d34 $

#include <istream>

#include "VpdClass.h"

istream& CVitalProductData::BinaryRead( istream& is )
{
    is >> StringIdDtor >> ReadOnlyDtor >> EndTagDtor;
    char Checksum;
    is.get( Checksum );
    return is;
}

ostream& CVitalProductData::BinaryWrite( ostream& os ) const
{
    os << StringIdDtor << ReadOnlyDtor << EndTagDtor;
    unsigned char Checksum = -(StringIdDtor.ByteSum() + ReadOnlyDtor.ByteSum() + EndTagDtor.ByteSum());
    os << Checksum;
    return os;
}
