/* vpd.h $Id: 59b21702c5d795235e51b67426bbd3284d32276a $ */

#define VPD_ID_STRING_DESCRIPTOR_TAG	0x82
#define VPD_READ_ONLY_DESCRIPTOR_TAG	0x90
#define VPD_READ_WRITE_DESCRIPTOR_TAG	0x91
#define VPD_END_DESCRIPTOR_TAG_22	0x78
#define VPD_END_DESCRIPTOR_TAG_21	0x79

typedef struct {
    unsigned char tag;
    unsigned char length_lsb;
    unsigned char length_msb;
    unsigned char content[ 1 ];
} vpd_descriptor_t;

typedef struct {
    char keyword[ 2 ];
    unsigned char length;
    char data[ 1 ];
} vpd_keyword_t;
